Home

# Class goog.ui.TabRenderer

Default renderer for {@link goog.ui.Tab}s, based on the {@code TabPane} code.

extends goog.ui.ControlRenderer

Instance Method Summary

`createDom(?goog.ui.Control control) ⇒ ?Element`

Returns the tab's contents wrapped in a DIV, with the renderer's own CSS class and additional state-specific classes applied to it. Creates the following DOM structure:

    Content

| `decorate(?goog.ui.Control control, ?Element element) ⇒ ?Element` Decorates the element with the tab. Initializes the tab's ID, content, tooltip, and state based on the ID of the element, its title, child nodes, and CSS classes, respectively. Returns the element.
| `getAriaRole() ⇒ (goog.dom.a11y.Role|null|undefined)` Returns the ARIA role to be applied to the tab element. See http://wiki/Main/ARIA for more info.
| `getCssClass() ⇒ string` Returns the CSS class name to be applied to the root element of all tabs rendered or decorated using this renderer.
| `getTooltip(?Element element) ⇒ string` Takes a tab's root element, and returns its tooltip text, or the empty string if the element has no tooltip.
| `setTooltip(?Element element, (null|string|undefined) tooltip)` Takes a tab's root element and a tooltip string, and updates the element with the new tooltip. If the new tooltip is null or undefined, sets the element's title to the empty string.